Skip to main content
POST
/
gemini
/
video
/
reshoot
Reshoot video with different camera motion
curl --request POST \
  --url https://api.mountsea.ai/gemini/video/reshoot \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "videoId": "CAUSJD...",
  "motionType": "RESHOOT_MOTION_TYPE_LEFT_TO_RIGHT"
}
'
{
  "taskId": "<string>"
}

Overview

Re-generate a video with a different camera motion type. This allows you to change how the camera moves in the video while keeping the same content.
Requires a valid videoId (mediaId) from a previously generated video.

Available Motion Types

Motion TypeDescription
RESHOOT_MOTION_TYPE_STATIONARYStatic camera
RESHOOT_MOTION_TYPE_STATIONARY_DOWNStatic camera, tilt down
RESHOOT_MOTION_TYPE_STATIONARY_UPStatic camera, tilt up
RESHOOT_MOTION_TYPE_STATIONARY_LEFT_LARGEStatic camera, pan left
RESHOOT_MOTION_TYPE_STATIONARY_RIGHT_LARGEStatic camera, pan right
RESHOOT_MOTION_TYPE_STATIONARY_DOLLY_IN_ZOOM_OUTDolly in + zoom out
RESHOOT_MOTION_TYPE_STATIONARY_DOLLY_OUT_ZOOM_IN_LARGEDolly out + zoom in
RESHOOT_MOTION_TYPE_DOWNCamera moves down
RESHOOT_MOTION_TYPE_UPCamera moves up
RESHOOT_MOTION_TYPE_LEFT_TO_RIGHTCamera moves left to right
RESHOOT_MOTION_TYPE_RIGHT_TO_LEFTCamera moves right to left
RESHOOT_MOTION_TYPE_FORWARDCamera moves forward
RESHOOT_MOTION_TYPE_BACKWARDCamera moves backward
RESHOOT_MOTION_TYPE_DOLLY_IN_ZOOM_OUTDolly in + zoom out (moving)
RESHOOT_MOTION_TYPE_DOLLY_OUT_ZOOM_IN_LARGEDolly out + zoom in (moving)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
videoId
string
required

Video ID (mediaId) from a previously generated video

Example:

"CAUSJD..."

motionType
enum<string>
required

Camera motion type for reshoot

Available options:
RESHOOT_MOTION_TYPE_STATIONARY_DOWN,
RESHOOT_MOTION_TYPE_STATIONARY_UP,
RESHOOT_MOTION_TYPE_STATIONARY_DOLLY_OUT_ZOOM_IN_LARGE,
RESHOOT_MOTION_TYPE_STATIONARY_DOLLY_IN_ZOOM_OUT,
RESHOOT_MOTION_TYPE_STATIONARY_RIGHT_LARGE,
RESHOOT_MOTION_TYPE_STATIONARY_LEFT_LARGE,
RESHOOT_MOTION_TYPE_STATIONARY,
RESHOOT_MOTION_TYPE_DOWN,
RESHOOT_MOTION_TYPE_UP,
RESHOOT_MOTION_TYPE_RIGHT_TO_LEFT,
RESHOOT_MOTION_TYPE_LEFT_TO_RIGHT,
RESHOOT_MOTION_TYPE_BACKWARD,
RESHOOT_MOTION_TYPE_FORWARD,
RESHOOT_MOTION_TYPE_DOLLY_IN_ZOOM_OUT,
RESHOOT_MOTION_TYPE_DOLLY_OUT_ZOOM_IN_LARGE
Example:

"RESHOOT_MOTION_TYPE_LEFT_TO_RIGHT"

Response

201 - application/json
taskId
string
required

task id, used to get task result later